XmTextGetSelection(3)

NAME
XmTextGetSelection — A Text function that retrieves the value of the primary selection

SYNOPSIS

#include <Xm/Text.h>
char * XmTextGetSelection(
Widget widget);

DESCRIPTION

XmTextGetSelection retrieves the value of the primary selection. It returns a NULL pointer if no text is selected in the widget. The application is responsible for freeing the storage associated with the string by calling XtFree.

widget
    Specifies the Text widget ID

For a complete definition of Text and its associated resources, see XmText(3).

RETURN

Returns a character pointer to the string that is associated with the primary selection.

RELATED

XmText(3) and XmTextGetSelectionWcs(3).